/* * Copyright (c) 2022, Shenzhen CVA Innovation CO.,LTD
 * All rights reserved.
 *
 * Shenzhen CVA Innovation CO.,LTD (CVA chip) is supplying this file for use
 * exclusively with CVA's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * CVA SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 */

#ifndef _FEE_CFG_H_
#define _FEE_CFG_H_

/*******************************************************************************
 * the includes
 ******************************************************************************/
#include "fee_types.h"

#ifdef __cplusplus
extern "C" {
#endif

/*******************************************************************************
 * the defines
 ******************************************************************************/
#define FEE_SECTOR_NUM        (2)
#define FEE_BLOCK_NUM         (11)
#define FEE_JOBS_BUFF_NUM     (2)
#define FEE_BUFF_SIZE         (64)

#define FEE_BLOCK_MOTORDATA_DATASET0         (0x10)
#define FEE_BLOCK_DIDDATA0_DATASET0         (0x20)
#define FEE_BLOCK_DIDDATA1_DATASET0         (0x30)
#define FEE_BLOCK_DIDDATA2_DATASET0         (0x40)
#define FEE_BLOCK_DIDDATA3_DATASET0         (0x50)
#define FEE_BLOCK_DIDDATA4_DATASET0         (0x60)
#define FEE_BLOCK_DIDDATA5_DATASET0         (0x70)
#define FEE_BLOCK_DIDDATA6_DATASET0         (0x80)
#define FEE_BLOCK_DIDDATA7_DATASET0         (0x90)
#define FEE_BLOCK_DIDDATA8_DATASET0         (0xa0)
#define FEE_BLOCK_DIDDATA9_DATASET0         (0xb0)
/*******************************************************************************
 * the typedefs
 ******************************************************************************/

/*******************************************************************************
 * the globals
 ******************************************************************************/

extern const FeeType fee;

/*******************************************************************************
 * the function prototypes
 ******************************************************************************/

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* _FEE_CFG_H_ */

