#ifndef __HWCTRL_H__
#define __HWCTRL_H__

#include "mcu.h"
#include "MotorCtrl.h"

/*******************************************************************************
 * the defines
 ******************************************************************************/
extern McuType mcu;
//extern uint32_t adcResult[];
/*******************************************************************************
 * the typedefs
 ******************************************************************************/
typedef enum
{
    ADCH_Power=0,//ADC0CH3
    ADCH_RLY3,//ADC0CH0
    ADCH_RLY5,//ADC0CH1
    ADCH_HEAT_C1,//ADC0CH15
    ADCH_HEAT_C2,//ADC0CH7

    ADCH_RLY1,//ADC1CH5
    ADCH_HEAT_SENSOR1,//ADC1CH2
    ADCH_HEAT_SENSOR2,//ADC1CH7
    ADCH_VBG,
    ADCH_LPVBG,
    ADCH_NUM,
}ADCH_ID_type;


/*******************************************************************************
 * the function 
 ******************************************************************************/
void hw_init(void);
void hw_MotorCtrl(Motor_ID_Type motorid,Motor_ACT_Type dir);
uint32_t GetAdcRawData(ADCH_ID_type adch);
uint32_t GetAdcmv(ADCH_ID_type adch);
void power_ctrl(uint8_t power);
uint8_t GetHallIO(Motor_ID_Type motorid);
void HeatDrv1Ctrl(uint8_t onoff);
void HeatDrv2Ctrl(uint8_t onoff);
void FanCtrlDuty(uint8_t duty);

#endif
